MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::GlobalMsgIter Class Reference
Inheritance diagram for sc::GlobalMsgIter:

List of all members.

## Public Member Functions

| GlobalMsgIter (int nproc, int me, int root=0)
void | backwards ()
void | forwards ()
void | next ()
int | done ()
int | n ()
int | sendto ()
int | send ()
int | recvfrom ()
int | recv ()

## Protected Member Functions

virtual int | fwdsendto ()=0
virtual int | fwdsend ()=0
virtual int | fwdrecvfrom ()=0
virtual int | fwdrecv ()=0

## Protected Attributes

int | me_
int | nproc_
int | root_
int | i_
int | n_
int | fwd_

The documentation for this class was generated from the following file:

- topology.h